#include <bits/stdc++.h>

using namespace std;
#define MAXE 100000

int main()
{
    int x[MAXE], y[MAXE], z[MAXE], n, zbir = 0;
    scanf("%d", &n);
    for(int i = 0; i < n; i++)
        scanf("%d", &x[i]);
    for(int i = 0; i < n; i++)
        scanf("%d", &y[i]);
    for(int k = 0; k < n; k++)
    {
        scanf("%d", &z[k]);
        for(int j = 0; j < n; j++)
        {
            if(j+1 != z[k])
            {
                continue;
            }
            for(int i = 0; i < n; i++)
            {
                if(x[i] == y[j])
                {
                    zbir++;
                }
            }
        }
    }

    printf("%d", zbir);
    return 0;
}